using System;
using System.IO;
using System.Xml;
using System.Threading;
using log4net;
using log4net.Config;

public class Program
{

	private static readonly ILog log = LogManager.GetLogger(typeof(Program));

	[STAThread]
	static void Main(string[] args)
	{
		int nbLoop = 0;
		// BasicConfigurator.Configure(); //Basic Log to console
		// On récupère le chemin du fichier de config
		var configFile = Directory.GetCurrentDirectory() + @"/log4net.config.xml";

//		XmlConfigurator.Configure(new FileInfo(configFile));		
		XmlConfigurator.ConfigureAndWatch(new FileInfo(configFile));	// Load Configation file and look if the file is updated
		Console.WriteLine("File "+configFile+" Configuration loaded.");
		do {
			if (log.IsInfoEnabled) log.Info("Text of Information Log ...");
			log.Debug("Text of Debug Log ...");
			log.Error("Text of Error Log ...");
			log.Fatal("Text of Fatal Log...");
			log.Warn("Text of Warn Log...");
			Thread.Sleep(2000);
		} while(nbLoop++ < 1000);
	}
}